workpath_r <- "C:\\Users\\XXXXX\\knime-workspace\\hub\\kn_example_r_docx_import_table"

workspace_name <- paste0(workpath_r, "/workspace_r.RData")


setwd(workpath_r) # Set work directory

# load("~/xxx/xxxx2019_06/0000_PROVA_SPLIT_TABELLE/r/.RData")
library(docxtractr)
real_world <- read_docx("prova01.docx")

docx_tbl_count(real_world)
tbls <- docx_extract_all_tbls(real_world)

no_tbls <- length(tbls)

docx_describe_tbls(real_world)

docx_extract_all_tbls(real_world, guess_header = TRUE, preserve = FALSE, trim = TRUE)

# https://stackoverflow.com/questions/29402528/append-data-frames-together-in-a-for-loop/29419402

datalist = list()

for (i in 1:6) {
  # ... make some data
  df <- docx_extract_tbl(real_world, i, header=TRUE)
  df$i <- i  # maybe you want to keep track of which iteration produced it?
  datalist[[i]] <- df # add it to your list
}


# save and load the working environment
save.image(workspace_name)
# load(workspace_name)


# big_data = do.call(rbind, datalist)